Version File Reference
`#include <osgWidget/Export>`

Go to the source code of this file.

## Macros

#define | OSGWIDGET_VERSION

## Functions

OSGWIDGET_EXPORT const char * | osgWidgetGetVersion ()
OSGWIDGET_EXPORT const char * | osgWidgetGetLibraryName ()

## Macro Definition Documentation

## OSGWIDGET_VERSION

#define OSGWIDGET_VERSION

## Function Documentation

## osgWidgetGetLibraryName()

OSGWIDGET_EXPORT const char * osgWidgetGetLibraryName | ( |  | ) |

extern

osgWidgetGetLibraryName() returns the library name in human friendly form.

References OSGWIDGET_EXPORT.

## osgWidgetGetVersion()

OSGWIDGET_EXPORT const char * osgWidgetGetVersion | ( |  | ) |

extern

osgWidgetGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgWidgetGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Util library
    #
    AC_CHECK_LIB(osg, osgWidgetGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Util library not found. See http://www.openscenegraph.org)],)

References OSGWIDGET_EXPORT.